Commit 9bb18b75 authored by Daniel Wolf's avatar Daniel Wolf
Browse files

Merge branch 'master' of https://git.frostnerd.com/AndroidUtils/baselibrarykt

 Conflicts:
	.gitlab-ci.yml
parents 168dc9c7 e6da59bb
......@@ -6,18 +6,10 @@ before_script:
test:
stage: test
script:
- ./gradlew clean assembleRelease test --stacktrace || (find . -type d -wholename "**reports/tests" -exec zip -ru tests.zip {} \; && exit 1)
- find . -type d -wholename "**reports/tests" -exec zip -ru tests.zip {} \;
except:
- /^no_ci.*$/
- /^no_tests.*$/
artifacts:
when: always
paths:
- tests.zip
- ./gradlew clean assembleRelease test --stacktrace
deploy:
stage: deploy
script:
- ./gradlew clean assembleRelease sourcesJar javadocJar
- ./gradlew publish --stacktrace
\ No newline at end of file
test-build-deploy:
stage: test
script:
- ./gradlew clean assembleRelease sourcesJar javadocJar test --stacktrace
- ./gradlew publish --stacktrace
\ No newline at end of file
......@@ -27,7 +27,7 @@ buildscript {
ext.ANDROID_COMPILE_SDK = (System.getenv("ANDROID_COMPILE_SDK") == null ? 29 : System.getenv("ANDROID_COMPILE_SDK")).toInteger()
ext.ANDROID_TARGET_SDK = (System.getenv("ANDROID_TARGET_SDK") == null ? ANDROID_COMPILE_SDK : System.getenv("ANDROID_TARGET_SDK")).toInteger()
ext.ANDROID_MIN_SDK = (System.getenv("ANDROID_MIN_SDK") == null ? 14 : System.getenv("ANDROID_COMPILE_SDK")).toInteger()
ext.KOTLIN_VERSION = System.getenv("KOTLIN_VERSION") == null ? "1.4.0" : System.getenv("KOTLIN_VERSION")
ext.KOTLIN_VERSION = System.getenv("KOTLIN_VERSION") == null ? "1.4.10" : System.getenv("KOTLIN_VERSION")
ext.ANDROID_GRADLE_PLUGIN_VERSION = System.getenv("ANDROID_GRADLE_PLUGIN_VERSION") == null ? "4.0.1" : System.getenv("ANDROID_GRADLE_PLUGIN_VERSION")
ext.APPCOMPAT_VERSION = "1.2.0"
ext.COROUTINE_VERSION = "1.3.9"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment